Bug 1252125 - Network labels| Attach operation fail for new network with label
Network labels| Attach operation fail for new network with label
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
x86_64 All
high Severity high (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Marcin Mirecki
Michael Burman
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 14:43 EDT by Meni Yakove
Modified: 2016-02-10 14:15 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:43:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: Triaged+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45036 master MERGED engine: attach operation fails for new network with label Never
oVirt gerrit 45903 ovirt-engine-3.6 MERGED engine: attach operation fails for new network with label Never

  None (edit)
Description Meni Yakove 2015-08-10 14:43:52 EDT
Description of problem:
Attach network to NIC fails via label when the NIC have label and we create new network with the same label. (Same error for VLAN/non-VLAN and non-VM network)

2015-08-10 21:33:14,210 WARN  [org.ovirt.engine.core.bll.network.host.SetupNetworksCommand] (org.ovirt.thread.pool-8-thread-10) [1731ea86] CanDoAction of action 'SetupNetworks' failed for user admin@internal. Reasons: VAR__ACTION__SETUP,VAR__TYPE__NETWORKS,NETWORKS_DONT_EXIST_IN_CLUSTER,$NETWORKS_DONT_EXIST_IN_CLUSTER_LIST enp2s0f3
2015-08-10 21:33:14,214 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-8-thread-10) [1731ea86] Correlation ID: 1731ea86, Call Stack: null, Custom Event ID: -1, Message: (1/1): Failed to apply changes for network(s) net1 on host host_mixed_1. (User: admin@internal)

Version-Release number of selected component (if applicable):
ovirt-engine-3.6.0-0.0.master.20150804111407.git122a3a0.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create new label [lb1] on HostNIC via setupnetworks
2. Create new network with label [lb1]


Actual results:
Operation fail

Expected results:
Network is attached to HostNIC
Comment 1 Michael Burman 2015-09-21 02:14:04 EDT
Verified on - 3.6.0-0.16.master.el6

With all networks types.
Comment 2 Sandro Bonazzola 2015-11-04 06:43:26 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.